parameters:
  _param:
    nginx_static_robotice_doc_host: robotice-doc.${linux:network:fqdn}
    sphinx_robotice_doc_source_address: git@repo1.robotice.cz:sphinx-docs/robotice-doc.git
  sphinx:
    server:
      doc:
        robotice_doc:
          builder: html
          path: source
          output: /srv/static/robotice_doc
          source: 
            engine: git
            address: ${_param:sphinx_robotice_doc_source_address}
            revision: master
  nginx:
    server:
      site:
        nginx_static_robotice_doc:
          enabled: true
          type: nginx_static
          name: robotice_doc
          auth:
            engine: basic
          host:
            name: ${_param:nginx_static_robotice_doc_host}
            port: 80
